summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorJoe <rrbo@proton.me>2023-01-31 14:18:58 +0100
committerJoe <rrbo@proton.me>2023-01-31 14:18:58 +0100
commit67ac36bdeeff2ba808710c830d598969e1e3acb7 (patch)
tree7c3248e91409d3f2d1b4952ba621cf92a0eeb92f /.local
parentupdate (diff)
downloaddotfiles-bsd-67ac36bdeeff2ba808710c830d598969e1e3acb7.tar.gz
dotfiles-bsd-67ac36bdeeff2ba808710c830d598969e1e3acb7.tar.bz2
dotfiles-bsd-67ac36bdeeff2ba808710c830d598969e1e3acb7.tar.xz
dotfiles-bsd-67ac36bdeeff2ba808710c830d598969e1e3acb7.tar.zst
dotfiles-bsd-67ac36bdeeff2ba808710c830d598969e1e3acb7.zip
up
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/powercmd23
1 files changed, 23 insertions, 0 deletions
diff --git a/.local/bin/powercmd b/.local/bin/powercmd
new file mode 100755
index 0000000..fadf6a0
--- /dev/null
+++ b/.local/bin/powercmd
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# [ -z "$1" ] && echo "no arg" && exit 1
+
+os="$(uname)"
+
+if [ $os -eq "Linux" ]; then
+ grep "Artix" /etc/issue >/dev/null 2>&1 && os=1 || os=2
+elif [ $os -eq "FreeBSD" ]; then
+else
+ echo "unknown OS"
+ exit 1
+fi
+
+# 1: Artix
+# 2: Pop OS
+# 3: FreeBSD
+
+case $os in
+ 1) icon="" ;;
+ 2) icon="" ;;
+ 3) icon="" ;;
+esac